> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mkk.celebi.me/llms.txt
> Use this file to discover all available pages before exploring further.

# Get document by disclosure index



## OpenAPI

````yaml /openapi.json get /disclosures/{disclosureIndex}
openapi: 3.0.3
info:
  title: MKK Structured Data API
  version: 0.1.0
  description: >-
    Read-only JSON API for normalized MKK/VYK PDF extraction results, portfolio
    entries, and data-quality review queues.
servers:
  - url: https://mkk.celebi.me/api
security: []
tags:
  - name: System
  - name: Funds
  - name: Sections
  - name: Documents
  - name: Line Items
  - name: Portfolio
  - name: Stocks
  - name: Quality
  - name: Exports
paths:
  /disclosures/{disclosureIndex}:
    get:
      tags:
        - Documents
      summary: Get document by disclosure index
      operationId: getDisclosureDocument
      parameters:
        - $ref: '#/components/parameters/DisclosureIndexPath'
        - $ref: '#/components/parameters/IncludeRaw'
      responses:
        '200':
          description: Document detail for the disclosure index.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDetail'
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  parameters:
    DisclosureIndexPath:
      name: disclosureIndex
      in: path
      required: true
      description: MKK disclosure index.
      schema:
        type: string
    IncludeRaw:
      name: include_raw
      in: query
      required: false
      description: 'Include raw text and raw table data. Truthy values: 1, true, yes, on.'
      schema:
        type: string
  schemas:
    DocumentDetail:
      allOf:
        - $ref: '#/components/schemas/DocumentSummary'
        - type: object
          properties:
            source_path:
              type: string
            layout_region_count:
              type: integer
              nullable: true
            imported_at:
              type: string
            updated_at:
              type: string
            fund:
              $ref: '#/components/schemas/FundIdentity'
            line_item_values:
              type: array
              items:
                $ref: '#/components/schemas/LineItemValue'
            sections:
              type: array
              items:
                $ref: '#/components/schemas/SectionLineItemValues'
            portfolio_rows:
              type: array
              items:
                $ref: '#/components/schemas/PortfolioRow'
            portfolio_entries:
              type: array
              items:
                $ref: '#/components/schemas/PortfolioEntry'
            totals:
              type: array
              items:
                $ref: '#/components/schemas/TotalValue'
            raw_text:
              type: string
              nullable: true
            tables:
              type: array
              items:
                $ref: '#/components/schemas/RawTable'
    ErrorResponse:
      type: object
      properties:
        error:
          type: string
        routes:
          type: array
          items:
            type: string
    DocumentSummary:
      type: object
      properties:
        id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
        pdf_url:
          type: string
        kap_file_url:
          type: string
          nullable: true
        kap_url:
          type: string
          nullable: true
        page_count:
          type: integer
          nullable: true
        parsed_pages:
          type: integer
          nullable: true
        document_type:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        report_date:
          type: string
          nullable: true
        management_company:
          type: string
          nullable: true
        line_item_value_count:
          type: integer
        portfolio_entry_count:
          type: integer
        portfolio_row_count:
          type: integer
    FundIdentity:
      type: object
      properties:
        id:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
    LineItemValue:
      type: object
      properties:
        id:
          type: integer
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        line_item_id:
          type: integer
        line_item_slug:
          type: string
          nullable: true
        line_item_name:
          type: string
          nullable: true
        sectionId:
          type: string
          nullable: true
        sectionName:
          type: string
          nullable: true
        canonical_section:
          type: string
          nullable: true
        kind:
          type: string
          nullable: true
        raw_section:
          type: string
          nullable: true
        raw_label:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        numeric_value:
          type: number
          nullable: true
        unit:
          type: string
          nullable: true
        source:
          type: string
          nullable: true
        mapping_method:
          type: string
          nullable: true
        mapping_confidence:
          type: number
          nullable: true
    SectionLineItemValues:
      type: object
      properties:
        id:
          type: string
        sectionId:
          type: string
        name:
          type: string
        line_item_count:
          type: integer
        line_items:
          type: array
          items:
            $ref: '#/components/schemas/LineItemValuesGroup'
    PortfolioRow:
      type: object
      properties:
        section:
          type: string
          nullable: true
        columns:
          type: array
          items:
            $ref: '#/components/schemas/PortfolioColumn'
        raw_row:
          type: string
          nullable: true
    PortfolioEntry:
      type: object
      properties:
        id:
          type: integer
        document_id:
          type: integer
        disclosure_index:
          type: string
          nullable: true
        file_name:
          type: string
          nullable: true
        fund_code:
          type: string
          nullable: true
        fund_title:
          type: string
          nullable: true
        period:
          type: string
          nullable: true
        section:
          type: string
          nullable: true
        security:
          type: string
          nullable: true
        isin:
          type: string
          nullable: true
        issuer:
          type: string
          nullable: true
        bank:
          type: string
          nullable: true
        maturity_date:
          type: string
          nullable: true
        transaction_date:
          type: string
          nullable: true
        price:
          type: string
          nullable: true
        numeric_price:
          type: number
          nullable: true
        transaction_value:
          type: string
          nullable: true
        numeric_transaction_value:
          type: number
          nullable: true
        nominal_value:
          type: string
          nullable: true
        numeric_nominal_value:
          type: number
          nullable: true
        market_value:
          type: string
          nullable: true
        numeric_market_value:
          type: number
          nullable: true
        rate:
          type: string
          nullable: true
        numeric_rate:
          type: number
          nullable: true
        amount:
          type: string
          nullable: true
        numeric_amount:
          type: number
          nullable: true
        currency:
          type: string
          nullable: true
        raw_row:
          type: string
          nullable: true
        columns:
          type: array
          items:
            $ref: '#/components/schemas/PortfolioColumn'
    TotalValue:
      type: object
      properties:
        label:
          type: string
          nullable: true
        value:
          type: string
          nullable: true
        unit:
          type: string
          nullable: true
    RawTable:
      type: object
      properties:
        rows:
          type: array
          items:
            type: array
            items: {}
    LineItemValuesGroup:
      type: object
      properties:
        id:
          type: integer
        slug:
          type: string
        name:
          type: string
        kind:
          type: string
          nullable: true
        values:
          type: array
          items:
            $ref: '#/components/schemas/LineItemValue'
    PortfolioColumn:
      type: object
      properties:
        header:
          type: string
          nullable: true
        key:
          type: string
          nullable: true
        value:
          type: string
          nullable: true

````